﻿#language: ru

@quality_control

Функционал: 03_quality_control.01.004 Заполнение констант

Сценарий: 03_quality_control. Заполнение констант
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Настройки параметров учета'
	Тогда открылось окно 'Параметры производства'
	И я нажимаю кнопку выбора у поля "Основной график работы предприятия"
	Тогда открылось окно 'Графики работы'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Параметры производства *'
	И из выпадающего списка "Формат времени нормы хранения" я выбираю точное значение 'ч'
	И в поле 'Префикс штрихкодов узла РИБ' я ввожу текст '2'
	И я нажимаю кнопку выбора у поля 'Склад пересчета'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Склад ГП'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "Единица измерения веса"
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "Показатель плотности"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Плотность'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Параметры производства *'
	И я перехожу к закладке "Баланс жира и белка"
	И я нажимаю кнопку выбора у поля "Номенклатура потерь"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Потери'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "Белкокилограммы"
	Тогда открылось окно 'Выберите единицу измерения'
	И я выбираю пункт контекстного меню "Создать" на элементе формы с именем "Список"
	Тогда открылось окно 'Единица измерения (создание)'
	И в поле 'Наименование' я ввожу текст 'бкг'
	И в поле 'Полное наименование' я ввожу текст 'бкг'
	И из выпадающего списка "Тип измеряемой величины" я выбираю точное значение 'Вес'
	И в поле 'Кратность' я ввожу текст '1,000'
	И в поле 'КоличествоВБазовойЕдиницеИзмерения' я ввожу текст '1,000'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Единица измерения (создание)' в течение 20 секунд
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "Жирокилограммы"
	Тогда открылось окно 'Выберите единицу измерения'
	И я выбираю пункт контекстного меню "Создать" на элементе формы с именем "Список"
	Тогда открылось окно 'Единица измерения (создание)'
	И в поле 'Наименование' я ввожу текст 'жкг'
	И в поле 'Полное наименование' я ввожу текст 'жкг'
	И из выпадающего списка "Тип измеряемой величины" я выбираю точное значение 'Вес'
	И в поле 'Кратность' я ввожу текст '1,000'
	И в поле 'КоличествоВБазовойЕдиницеИзмерения' я ввожу текст '1,000'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Единица измерения (создание)' в течение 20 секунд
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "М.д. белка"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'МДБ'          |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "М.д. жира"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'МДЖ'          |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И в поле 'Белок' я ввожу текст '0,6'
	И в поле 'Базисный белок, %' я ввожу текст '3,00'
	И в поле 'Базисный жир, %' я ввожу текст '3,40'
	И я перехожу к закладке "Нормативы потерь"
	И в таблице "НормативыПотерь" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И в таблице "НормативыПотерь" я перехожу к строке:
		| 'Рабочий центр' |
		| 'Сырцех'        |
	И в таблице "НормативыПотерь" я активизирую поле "Вес"
	И в таблице "НормативыПотерь" в поле "Вес" я ввожу текст '5,00'
	И в таблице "НормативыПотерь" я активизирую поле "Белок"
	И в таблице "НормативыПотерь" в поле 'Белок' я ввожу текст '5,00'
	И в таблице "НормативыПотерь" я активизирую поле "Жир"
	И в таблице "НормативыПотерь" в поле 'Жир' я ввожу текст '5,00'
	И в таблице "НормативыПотерь" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Параметры производства *' в течение 20 секунд
	И я закрываю сеанс TESTCLIENT